CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: DBI:
Installing DBI

 



cetin
New User

Apr 6, 2005, 7:08 AM

Post #1 of 2 (2562 views)
Installing DBI Can't Post

Hello,

I am using Perl V5.8.0 on AIX 5L with Oracle 9i. I am living some problems with DBI. Since I am not familiar with Perl too much I am not able to understand if DBI is installed or not. Can anyone helps me to learn if DBI is installed or not, if it is installed how to learn its version and if it is not how to install DBI and which version shoul be installed.

Thanks


davorg
Thaumaturge / Moderator

Apr 8, 2005, 5:40 AM

Post #2 of 2 (2554 views)
Re: [cetin] Installing DBI [In reply to] Can't Post

To see if DBI is installed and to find out which version you have, run a command like this:


Code
perl -MDBI -le 'print $DBI::VERSION'


If it isn't installed (or if it's an older version that you want to upgrade) then the easiest method is to use the 'cpan' command that comes with Perl.


Code
cpan install DBI


Don't forget that if you want to talk to Oracle, then as well as DBI you will also need DBD::Oracle.

--
Dave Cross, Perl Hacker, Trainer and Writer
http://www.dave.org.uk/
Get more help at Perl Monks

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives